Show / Hide Table of Contents

# Class ExitNotification

Defines an event that is sent from the client to notify that the client is exiting and the server should as well.

##### Inheritance

System.Object
ExitNotification

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ExitNotification

### Fields

| Improve this Doc View Source

#### Type

##### Declaration

    public static readonly EventType<object> Type

##### Field Value

Type | Description
--- | ---
EventType<System.Object> |